> ## Documentation Index
> Fetch the complete documentation index at: https://docs.breezeblue.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get voice settings

> Get saved voice_settings for a voice.



## OpenAPI

````yaml /openapi.json get /v1/voices/{voice_id}/settings
openapi: 3.1.0
info:
  title: Breeze Developer API
  description: >-
    Breeze Developer API for models, voices, text-to-speech, history, balance,
    usage, and browser-managed API keys.
  version: 1.0.0
servers:
  - url: https://api.breeze.blue
security: []
tags:
  - name: Models
    description: Supported TTS models.
  - name: Text to Speech
    description: Text-to-speech synthesis and instruction rewriting.
  - name: Voices
    description: Saved voices and voice settings.
  - name: Voice Previews
    description: Create, audition, and save temporary voice previews.
  - name: Account
    description: Balance, usage, and API keys.
  - name: History
    description: Generated audio history.
paths:
  /v1/voices/{voice_id}/settings:
    get:
      tags:
        - Voices
      summary: Get voice settings
      description: Get saved voice_settings for a voice.
      operationId: voices_settings_get
      parameters:
        - name: voice_id
          in: path
          required: true
          schema:
            title: Voice Id
            type: string
          description: Voice identifier returned by GET /v1/voices.
      responses:
        '200':
          description: Voice settings.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoiceSettingsResponse'
          headers:
            x-breeze-api-key-id:
              description: >-
                Public API key identifier used to authenticate the request, when
                an API key was used.
              schema:
                type: string
        '401':
          description: HTTP 401 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: HTTP 404 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl \
              --request GET \
              --url "https://api.breeze.blue/v1/voices/voc_xeh3w54cqvnp/settings" \
              --header "xi-api-key: $BREEZE_API_KEY"
        - lang: Python
          label: Python SDK
          source: |-
            import os

            from breeze_blue import BreezeBlue

            client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

            settings = client.voices.get_settings("voc_xeh3w54cqvnp")

            print(settings)
        - lang: TypeScript
          label: TypeScript SDK
          source: >-
            import { BreezeBlueClient } from "@breeze.blue/sdk";


            const client = new BreezeBlueClient({
              apiKey: process.env.BREEZE_API_KEY!,
            });


            const settings = await
            client.voices.getSettings("voc_xeh3w54cqvnp");


            console.log(settings);
components:
  schemas:
    VoiceSettingsResponse:
      properties:
        guidance_scale:
          default: 1
          title: Guidance Scale
          type: number
      title: VoiceSettingsResponse
      type: object
    ErrorResponse:
      properties:
        ok:
          default: false
          title: Ok
          type: boolean
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        error:
          title: Error
          type: string
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Meta
      required:
        - code
        - detail
        - error
      title: ErrorResponse
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: xi-api-key
      description: Breeze Developer API key.

````